Bug 103450 - Unresolvable chain of dependencies iptables-1.2.8-8.72.3 requires kernel >= 2.4.20
Summary: Unresolvable chain of dependencies iptables-1.2.8-8.72.3 requires kernel >= 2...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-30 20:22 UTC by Alfred Reed Collins
Modified: 2007-04-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-30 20:48:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alfred Reed Collins 2003-08-30 20:22:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
up2date -u 
fails with message this message:
Unresolvable chain of dependencies:
iptables-1.2.8-8.72.3 requires kernel >= 2.4.20


Version-Release number of selected component (if applicable):
rpm -q kernel-2.4.7-10 iptables-1.2.4-2

How reproducible:
Always

Steps to Reproduce:
1. su -
2. up2date -u
3.
    

Actual Results:  Unresolvable chain of dependencies:
iptables-1.2.8-8.72.3 requires kernel >= 2.4.20


Expected Results:  update complete 


Additional info:

All available errata and updates were applied in March 2002.
August 30 updated up2date and rhn_register according to posted instructions. 
Next ran up2date -u and received the error.

Kernel and iptables cannot be updated making system vulnerable to unpatchable 
vulnerabilities.

Comment 1 Alfred Reed Collins 2003-08-30 20:48:12 UTC
Fix: 
rpm --erase iptables-ipv6
rpm --erase iptables

Now up2date -u 
completes successfully.


Comment 2 Arjan van de Ven 2003-08-31 08:18:28 UTC
the real fix is to also upgrade your kernel with
up2date -uf



Note You need to log in before you can comment on or make changes to this bug.